Bug 238819 - k3b crashes during opening the Window for Settings - Configure k3b
Summary: k3b crashes during opening the Window for Settings - Configure k3b
Status: RESOLVED DUPLICATE of bug 226631
Alias: None
Product: kdelibs
Classification: Unclassified
Component: kdeui (show other bugs)
Version: SVN
Platform: Fedora RPMs Linux
: NOR crash with 15 votes (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
: 242398 247585 248164 248902 250430 253567 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-05-25 20:49 UTC by Karsten Roch
Modified: 2011-01-16 12:37 UTC (History)
21 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.2


Attachments
proposed patch (1.55 KB, patch)
2010-07-09 01:25 UTC, Christoph Feck
Details
proposed patch (1.49 KB, patch)
2010-08-28 04:33 UTC, Christoph Feck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karsten Roch 2010-05-25 20:49:19 UTC
Version:           1.92.0 (using Devel) 
OS:                Linux

Description of problem:

k3b crashes  during opening the Window for Settings - Configure k3b

Version-Release:

$ k3b --version
Qt: 4.7.0
KDE Development Platform: 4.4.80 (KDE 4.4.80 (KDE 4.5 Beta1))
K3b: 1.92.0

kernel: 2.6.34-11.fc14.i686

Fedora Rawhide









Reproducible: Always

Steps to Reproduce:
k3b crashes  during opening the Window for Settings - Configure k3b

Steps to Reproduce:
1. Start k3b
2. go to Menue "Settings"
3. select "configure k3b"


Actual Results:  
Crash.

Expected Results:  
Window with settings will be opened. 

Additional info:
Starting k3b from a console:

$ k3b 
k3b(4661) K3b::PluginManager::loadAll:
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b Ogg Vorbis Decoder"
"k3boggvorbisdecoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b Ogg
Vorbis Decoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b Ogg Vorbis Encoder"
"k3boggvorbisencoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b Ogg
Vorbis Encoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b FLAC Decoder"
"k3bflacdecoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b FLAC
Decoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b Audio Metainfo Renamer"
"k3baudiometainforenamerplugin"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b Audio
Metainfo Renamer"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b SoX Audio Encoder"
"k3bsoxencoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b SoX Audio
Encoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b External Audio Encoder"
"k3bexternalencoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b External
Audio Encoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b Musepack Decoder"
"k3bmpcdecoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b Musepack
Decoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b FFMpeg Decoder"
"k3bffmpegdecoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b FFMpeg
Decoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b Lame Mp3 Encoder"
"k3blameencoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b Lame Mp3
Encoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b Cddb Audio Plugin"
"k3baudioprojectcddbplugin"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b Cddb
Audio Plugin"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b MAD Decoder"
"k3bmaddecoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b MAD
Decoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b Libsndfile Decoder"
"k3blibsndfiledecoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b
Libsndfile Decoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: "K3b Wave Decoder"
"k3bwavedecoder"
k3b(4661) K3b::PluginManager::Private::loadPlugin: Loaded plugin "K3b Wave
Decoder"
k3b(4661) K3b::Device::Device::init: (K3b::Device::Device)  "/dev/sr0" : init()
k3b(4661) K3b::Device::Device::checkFeatures: (K3b::Device::Device)  "/dev/sr0"
 feature:  CD Mastering
k3b(4661) K3b::Device::Device::checkFeatures: (K3b::Device::Device)  "/dev/sr0"
 feature:  CD Track At Once
k3b(4661) K3b::Device::Device::checkFeatures: (K3b::Device::Device)  "/dev/sr0"
 feature:  DVD Read (MMC5)
k3b(4661) K3b::Device::Device::checkFeatures: (K3b::Device::Device)  "/dev/sr0"
 feature:  DVD+R
k3b(4661) K3b::Device::Device::checkFeatures: (K3b::Device::Device)  "/dev/sr0"
 feature:  DVD+RW                     
k3b(4661) K3b::Device::Device::checkFeatures: (K3b::Device::Device)  "/dev/sr0"
 feature:  DVD+R Double Layer
k3b(4661) K3b::Device::Device::checkFeatures: (K3b::Device::Device)  "/dev/sr0"
 feature:  DVD-R/-RW Write
k3b(4661) K3b::Device::Device::checkFeatures: (K3b::Device::Device)  "/dev/sr0"
 feature:  Rigid Restricted Overwrite
k3b(4661) K3b::Device::Device::checkFeatures: (K3b::Device::Device)  "/dev/sr0"
 feature:  Layer Jump Recording
k3b(4661) K3b::Device::Device::checkFeatures: (K3b::Device::Device)  "/dev/sr0"
 unknown profile:  2
k3b(4661) K3b::Device::Device::checkWritingModes: (K3b::Device::Device) 
"/dev/sr0" : dataLen:  60
k3b(4661) K3b::Device::Device::checkWritingModes: (K3b::Device::Device) 
"/dev/sr0" : checking for TAO
k3b(4661) K3b::Device::Device::checkWritingModes: (K3b::Device::Device) 
"/dev/sr0" : checking for SAO
k3b(4661) K3b::Device::Device::checkWritingModes: (K3b::Device::Device) 
"/dev/sr0" : checking for SAO_R96P
k3b(4661) K3b::Device::Device::checkWritingModes: (K3b::Device::Device) 
"/dev/sr0" : checking for SAO_R96R
k3b(4661) K3b::Device::Device::checkWritingModes: (K3b::Device::Device) 
"/dev/sr0" : checking for RAW_R16
k3b(4661) K3b::Device::Device::checkWritingModes: (K3b::Device::Device) 
"/dev/sr0" : checking for RAW_R96P
k3b(4661) K3b::Device::Device::checkWritingModes: (K3b::Device::Device) 
"/dev/sr0" : checking for RAW_R96R
k3b(4661) K3b::Device::Device::getPerformance: (K3b::Device::Device) 
"/dev/sr0" : GET PERFORMANCE reports bogus dataLen:  8
k3b(4661) K3b::Device::Device::getSupportedWriteSpeedsVia2A:
(K3b::Device::Device)  "/dev/sr0" :  Number of supported write speeds via 2A: 
4
k3b(4661) K3b::Device::Device::getSupportedWriteSpeedsVia2A:
(K3b::Device::Device)  "/dev/sr0"  :  8468  KB/s
k3b(4661) K3b::Device::Device::getSupportedWriteSpeedsVia2A:
(K3b::Device::Device)  "/dev/sr0"  :  7056  KB/s
k3b(4661) K3b::Device::Device::getSupportedWriteSpeedsVia2A:
(K3b::Device::Device)  "/dev/sr0"  :  4234  KB/s
k3b(4661) K3b::Device::Device::getSupportedWriteSpeedsVia2A:
(K3b::Device::Device)  "/dev/sr0"  :  2822  KB/s
k3b(4661) K3b::Device::DeviceManager::addDevice: (K3b::Device::DeviceManager)
setting current write speed of device  "/dev/sr0"  to  8468
k3b(4661) K3b::MediaCache::clearDeviceList:
k3b(4661) K3b::Medium::update: no medium found
k3b(4661) K3b::Device::DeviceManager::printDevices: Devices:
------------------------------
k3b(4661) K3b::Device::DeviceManager::printDevices: Blockdevice:     "/dev/sr0"
Vendor:          "HL-DT-ST"
Description:     "DVD-RAM GSA-H58N"
Version:         "1.03"
Write speed:     8468
Profiles:        "DVD-ROM, DVD-R Sequential, DVD-R Dual Layer Sequential, DVD-R
Dual Layer Jump, DVD-RAM, DVD-RW Restricted Overwrite, DVD-RW Sequential,
DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW"
Read Cap:        "DVD-ROM, DVD-R, DVD-R Sequential, DVD-R Dual Layer, DVD-R
Dual Layer Sequential, DVD-R Dual Layer Jump, DVD-RW, DVD-RW Restricted
Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+RW Dual Layer, DVD+R Dual
Layer, CD-ROM, CD-R, CD-RW"
Write Cap:       "DVD-R, DVD-R Sequential, DVD-R Dual Layer, DVD-R Dual Layer
Sequential, DVD-R Dual Layer Jump, DVD-RW, DVD-RW Restricted Overwrite, DVD-RW
Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-R, CD-RW"
Writing modes:   "SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P,
RAW/R96R, Restricted Overwrite, Layer Jump"
------------------------------
k3b(4661) K3b::TitleLabel::updatePositioning: 21 21
k3b(4661) K3b::PlacesModel::slotDevicesChanged:
k3b(4661)/kdeui (kdelibs): Attempt to use QAction "view_projects" with
KXMLGUIFactory! 
k3b(4661)/kdeui (kdelibs): Attempt to use QAction "view_dir_tree" with
KXMLGUIFactory! 
k3b(4661)/kdeui (kdelibs): Attempt to use QAction "view_contents" with
KXMLGUIFactory! 
k3b(4661)/kdeui (kdelibs): Attempt to use QAction "location_bar" with
KXMLGUIFactory! 
k3b(4661) K3b::FileTreeView::setSelectedUrl:
k3b(4661) K3b::PlacesModel::expandToUrl: KUrl("file:///home/karo/")
k3b(4661) K3b::PlacesModel::expandToUrl: KUrl("file:///home/karo")  will be
expanded.
k3b(4661) K3b::FileTreeView::slotExpandUrl:
[karo@krakatoa ~]$ k3b(4661) K3b::kernelVersion: kernel version: 
"2.6.34-0.28.rc3.git3.fc14.i686"
k3b(4661) K3b::SystemProblemDialog::checkSystem: (K3b::Core) System problems:
k3b(4661) K3b::SystemProblemDialog::checkSystem:           - none -
k3b(4661)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing 
"/usr/share/mime/magic"
k3b(4661)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing 
"/home/karo/.local/share/mime/magic"


--> k3b opens, works normally, only when I select the Settings Menue, it crashes.
See output here:


k3b(4661) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Ogg Vorbis
Decoder"
k3b(4661)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for 
"oggvorbisdecoder"
k3b(4661) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Ogg Vorbis
Encoder"
k3b(4661)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  1  offers for 
"k3boggvorbisencoder"
k3b(4661) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b FLAC
Decoder"
k3b(4661) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Audio
Metainfo Renamer"

<Crash>
Comment 1 Rex Dieter 2010-05-25 21:24:23 UTC
When it crashes, you should get a backtrace.  Please post that.
Comment 2 Karsten Roch 2010-05-25 23:09:45 UTC
There is no backtrace... When starting the program from console, it simply closes, the last few lines in console are shown above. Also, abrt did not catch anything. 

I only see this at /var/log/messages/

May 25 23:02:46 krakatoa kernel: Process 3157(k3b) has RLIMIT_CORE set to 0
May 25 23:02:46 krakatoa kernel: Aborting core

Cordialement
Karsten
Comment 3 Michał Małek 2010-06-07 21:18:39 UTC
Don't you get this nice KDE crash window? There is a backtraca on the second tab. Without backtrace it'll be hard to do something about this bug. I'm setting NEEDSINFO->BACKTRACE status for now.
Comment 4 Karsten Roch 2010-06-07 23:03:51 UTC
Sorry, but i don't get the KDE-crash window. The program simply closes down. 
Also abrt did not catch the error. 

/var/log/messages/   shows:

Jun  7 22:52:34 krakatoa kernel: Process 4085(k3b) has RLIMIT_CORE set to 0
Jun  7 22:52:34 krakatoa kernel: Aborting core


I run "gdb /usr/bin/k3b", but I don't see any different result. The gdb-logfile is posted here:

http://pastebin.com/NVVzGYVs

Cordialement
Karsten
Comment 5 Michał Małek 2010-06-08 22:00:55 UTC
Try this:
1. Run k3b
2. Open terminal and run:
> gdb /usr/bin/k3b `pidof k3b`
3. In GDB console type "continue"
4. Reproduce crash in k3b
5. Get backtrace in GDB console by typing "bt"
6. Paste backtrace here :)

If you'll still have some issues go to #k3b channel on Freenode and catch me there (mmalek). We'll try to work this out together.
Comment 6 Karsten Roch 2010-06-09 21:57:13 UTC
I tried 3 times, it always crashes, each time the Headline of the error looks a little bit different.
Here are 2 Backtraces from gdb:

TIA
Karsten

1.Crash:

Program received signal SIGSEGV, Segmentation fault.
0x01983bbf in QSortFilterProxyModel::mapFromSource (this=0x9568dd0, sourceIndex=...) at itemviews/qsortfilterproxymodel.cpp:2503
2503	    return d->source_to_proxy(sourceIndex);

(gdb) bt
#0  0x01983bbf in QSortFilterProxyModel::mapFromSource (this=0x9568dd0, sourceIndex=...) at itemviews/qsortfilterproxymodel.cpp:2503
#1  0x0197e00f in QSortFilterProxyModel::parent (this=0x9568dd0, child=...) at itemviews/qsortfilterproxymodel.cpp:1657
#2  0x00fe4787 in parent (this=0x9567ef0, index=...) at /usr/include/QtCore/qabstractitemmodel.h:389
#3  KCategorizedView::Private::categoryForIndex (this=0x9567ef0, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:393
#4  0x00fead2f in KCategorizedView::visualRect (this=0x9560810, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:556
#5  0x00fe3888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9567ef0, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#6  0x00feb253 in KCategorizedView::visualRect (this=0x9560810, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#7  0x00fea734 in KCategorizedView::Private::blockHeight (this=0x9567ef0, category=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:247
#8  0x00feac62 in KCategorizedView::Private::blockPosition (this=0x9567ef0, category=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:223
#9  0x00feae05 in KCategorizedView::visualRect (this=0x9560810, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:571
#10 0x00fe3888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9567ef0, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#11 0x00feb253 in KCategorizedView::visualRect (this=0x9560810, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#12 0x00fe3888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9567ef0, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#13 0x00feb253 in KCategorizedView::visualRect (this=0x9560810, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#14 0x00fe3888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9567ef0, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#15 0x00feb253 in KCategorizedView::visualRect (this=0x9560810, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#16 0x00fea734 in KCategorizedView::Private::blockHeight (this=0x9567ef0, category=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:247
#17 0x00feac62 in KCategorizedView::Private::blockPosition (this=0x9567ef0, category=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:223
#18 0x00feae05 in KCategorizedView::visualRect (this=0x9560810, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:571
#19 0x00fe3888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9567ef0, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#20 0x00feb253 in KCategorizedView::visualRect (this=0x9560810, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#21 0x00fe3888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9567ef0, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#22 0x00feb253 in KCategorizedView::visualRect (this=0x9560810, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#23 0x00fe3888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9567ef0, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#24 0x00feb253 in KCategorizedView::visualRect (this=0x9560810, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#25 0x00fea734 in KCategorizedView::Private::blockHeight (this=0x9567ef0, category=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:247
#26 0x00feac62 in KCategorizedView::Private::blockPosition (this=0x9567ef0, category=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:223


2.crash

Program received signal SIGSEGV, Segmentation fault.
KCategorizedView::Private::categoryForIndex (this=0x9eaf880, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:393
393	    const QModelIndex categoryIndex = index.model()->index(index.row(), proxyModel->sortColumn(), index.parent());
(gdb) bt
#0  KCategorizedView::Private::categoryForIndex (this=0x9eaf880, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:393
#1  0x0104cd2f in KCategorizedView::visualRect (this=0x9e3c940, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:556
#2  0x01045888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9eaf880, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#3  0x0104d253 in KCategorizedView::visualRect (this=0x9e3c940, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#4  0x0104c734 in KCategorizedView::Private::blockHeight (this=0x9eaf880, category=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:247
#5  0x0104cc62 in KCategorizedView::Private::blockPosition (this=0x9eaf880, category=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:223
#6  0x0104ce05 in KCategorizedView::visualRect (this=0x9e3c940, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:571
#7  0x01045888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9eaf880, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#8  0x0104d253 in KCategorizedView::visualRect (this=0x9e3c940, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#9  0x01045888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9eaf880, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#10 0x0104d253 in KCategorizedView::visualRect (this=0x9e3c940, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#11 0x01045888 in KCategorizedView::Private::topToBottomVisualRect (this=0x9eaf880, index=..., item=..., block=..., blockPos=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:471
#12 0x0104d253 in KCategorizedView::visualRect (this=0x9e3c940, index=...) at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:580
#13 0x0104c734 in KCategorizedView::Private::blockHeight (this=0x9eaf880, category=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:247
#14 0x0104cc62 in KCategorizedView::Private::blockPosition (this=0x9eaf880, category=...)
    at /usr/src/debug/kdelibs-4.4.85/kdeui/itemviews/kcategorizedview.cpp:223
Comment 7 Michał Małek 2010-06-09 22:22:22 UTC
Great, now we can see it's kdelibs issue. I'm redirecting this report to kdelibs guys. Thanks!
Comment 8 Michał Małek 2010-06-29 19:36:51 UTC
*** Bug 242398 has been marked as a duplicate of this bug. ***
Comment 9 Paulo Dias 2010-06-30 23:52:52 UTC
Any kde dev took a look at this, it still crashes with k3b 2.0.0 and kde 4.5 rc1, hope this is get caught before final.
Comment 10 Karsten Roch 2010-07-08 21:22:14 UTC
I updated today to 

Qt: 4.7.0
KDE Development Platform: 4.4.92 (KDE 4.4.92 (KDE 4.5 RC2))
K3b: 2.0.0
kernel 2.6.35-0.29.rc4.git0.fc14.i686

no changes, it crashes in the same way like before. 

Cordialement
Karsten
Comment 11 Christoph Feck 2010-07-09 01:25:35 UTC
Not sure why KCategorizedItemView runs into a recursion, but I have prepared a patch for k3b to work around it.
Comment 12 Christoph Feck 2010-07-09 01:25:54 UTC
Created attachment 48702 [details]
proposed patch

This works around the kdelibs endless loop bug visible in k3b by adding all plugins per category in one addPlugins call. Please review and apply.
Comment 13 Christoph Feck 2010-07-09 01:31:04 UTC
Well, looking at my own patch, it could be simplified to not use a QSet, but just use the keys() from the categoryNames hash, but I am too lazy to change it now :)
Comment 14 Michał Małek 2010-07-09 23:16:00 UTC
@Christoph: thanks for the patch but I will wait with applying it for now. I'd be the better to fix the actual cause of crash, someone may stumble into it in the future.
Comment 15 Paulo Dias 2010-07-15 23:00:59 UTC
@christoph: hey chris, tks for the patch but it didnt compiled cleanly:


[ 76%] Building CXX object src/CMakeFiles/k3b_bin.dir/projects/k3baudiotrackwidget.o
cd /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src && /usr/lib/ccache/c++   -D_BSD_SOURCE -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DQT_NO_STL -DQT_NO_CAST_TO_ASCII -D_REENTRANT -DKDE_DEPRECATED_WARNINGS -DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS -g -O2  -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden -DNDEBUG -DQT_NO_DEBUG -I/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src -I/home/groo/dev/k3b-2.0.0/src -I/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu -I/home/groo/dev/k3b-2.0.0/libk3bdevice -I/home/groo/dev/k3b-2.0.0/libk3b/core -I/home/groo/dev/k3b-2.0.0/libk3b/plugin -I/home/groo/dev/k3b-2.0.0/libk3b/tools -I/home/groo/dev/k3b-2.0.0/libk3b/tools/qprocess -I/home/groo/dev/k3b-2.0.0/libk3b/tools/qprocess/private -I/home/groo/dev/k3b-2.0.0/libk3b/projects -I/home/groo/dev/k3b-2.0.0/libk3b/projects/audiocd -I/home/groo/dev/k3b-2.0.0/libk3b/projects/datacd -I/home/groo/dev/k3b-2.0.0/libk3b/projects/videocd -I/home/groo/dev/k3b-2.0.0/libk3b/projects/mixedcd -I/home/groo/dev/k3b-2.0.0/libk3b/jobs -I/home/groo/dev/k3b-2.0.0/libk3b/videodvd -I/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/libk3b -I/home/groo/dev/k3b-2.0.0/libk3b/projects/movixcd -I/home/groo/dev/k3b-2.0.0/libk3b/projects/videodvd -I/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/libk3b/core -I/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/libk3b/plugin -I/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/libk3b/tools -I/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/libk3b/projects -I/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/libk3b/jobs -I/home/groo/dev/k3b-2.0.0/src/projects -I/home/groo/dev/k3b-2.0.0/src/projects/kostore -I/home/groo/dev/k3b-2.0.0/libk3b/cddb -I/usr/include/KDE -I/usr/include/qt4/phonon -I/usr/include/qt4/QtXmlPatterns -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtScriptTools -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtMultimedia -I/usr/include/qt4/QtHelp -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtDeclarative -I/usr/include/qt4/QtDBus -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4/Qt -I/usr/share/qt4/mkspecs/default -I/usr/include/qt4   -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -o CMakeFiles/k3b_bin.dir/projects/k3baudiotrackwidget.o -c /home/groo/dev/k3b-2.0.0/src/projects/k3baudiotrackwidget.cpp
In file included from /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src/ui_base_k3bthemeoptiontab.h:16,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.h:19,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.cpp:16:
/usr/include/qt4/Qt3Support/Q3Header:2:1: warning: null character(s) ignored
/usr/include/qt4/Qt3Support/Q3Header:2:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:3:1: warning: null character(s) ignored
/usr/include/qt4/Qt3Support/Q3Header:3:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:4:1: warning: null character(s) ignored
In file included from /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src/ui_base_k3bthemeoptiontab.h:17,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.h:20,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.cpp:17:
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\202’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\242’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\221’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\337’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\320’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\342’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\240’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\10’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\233’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\36’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\1’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\304’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\246’ in program
In file included from /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src/ui_base_k3bthemeoptiontab.h:17,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.h:20,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.cpp:17:
/usr/include/qt4/Qt3Support/Q3Header:2:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:2: error: missing terminating " character
In file included from /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src/ui_base_k3bthemeoptiontab.h:17,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.h:20,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.cpp:17:
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\300’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\312’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\7’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\343’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\361’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\25’ in program
/usr/include/qt4/Qt3Support/Q3Header:3:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:3: error: missing terminating " character
In file included from /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src/ui_base_k3bthemeoptiontab.h:17,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.h:20,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.cpp:17:
/usr/include/qt4/Qt3Support/Q3Header:2: error: expected constructor, destructor, or type conversion before numeric constant
make[3]: *** [src/CMakeFiles/k3b_bin.dir/option/k3bthemeoptiontab.o] Error 1
make[3]: *** Waiting for unfinished jobs....
In file included from /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src/ui_base_k3bthemeoptiontab.h:16,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.h:19,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3boptiondialog.cpp:23:
/usr/include/qt4/Qt3Support/Q3Header:2:1: warning: null character(s) ignored
/usr/include/qt4/Qt3Support/Q3Header:2:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:3:1: warning: null character(s) ignored
/usr/include/qt4/Qt3Support/Q3Header:3:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:4:1: warning: null character(s) ignored
In file included from /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src/ui_base_k3bthemeoptiontab.h:17,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.h:20,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3boptiondialog.cpp:24:
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\202’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\242’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\221’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\337’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\320’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\342’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\240’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\10’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\233’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\36’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\1’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\304’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\246’ in program
In file included from /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src/ui_base_k3bthemeoptiontab.h:17,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.h:20,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3boptiondialog.cpp:24:
/usr/include/qt4/Qt3Support/Q3Header:2:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:2: error: missing terminating " character
In file included from /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src/ui_base_k3bthemeoptiontab.h:17,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.h:20,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3boptiondialog.cpp:24:
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\300’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\312’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\7’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\343’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\361’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\25’ in program
/usr/include/qt4/Qt3Support/Q3Header:3:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:3: error: missing terminating " character
In file included from /home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu/src/ui_base_k3bthemeoptiontab.h:17,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3bthemeoptiontab.h:20,
                 from /home/groo/dev/k3b-2.0.0/src/option/k3boptiondialog.cpp:24:
/usr/include/qt4/Qt3Support/Q3Header:2: error: expected constructor, destructor, or type conversion before numeric constant
In file included from /home/groo/dev/k3b-2.0.0/src/misc/k3bimagewritingdialog.cpp:59:
/usr/include/qt4/Qt3Support/Q3Header:2:1: warning: null character(s) ignored
/usr/include/qt4/Qt3Support/Q3Header:2:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:3:1: warning: null character(s) ignored
/usr/include/qt4/Qt3Support/Q3Header:3:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:4:1: warning: null character(s) ignored
In file included from /home/groo/dev/k3b-2.0.0/src/misc/k3bimagewritingdialog.cpp:60:
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\202’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\242’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\221’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\337’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\320’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\342’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\240’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\10’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\233’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\36’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\1’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\304’ in program
/usr/include/qt4/Qt3Support/Q3Header:2: error: stray ‘\246’ in program
In file included from /home/groo/dev/k3b-2.0.0/src/misc/k3bimagewritingdialog.cpp:60:
/usr/include/qt4/Qt3Support/Q3Header:2:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:2: error: missing terminating " character
In file included from /home/groo/dev/k3b-2.0.0/src/misc/k3bimagewritingdialog.cpp:60:
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\300’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\312’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\7’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\343’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\361’ in program
/usr/include/qt4/Qt3Support/Q3Header:3: error: stray ‘\25’ in program
/usr/include/qt4/Qt3Support/Q3Header:3:4095: warning: missing terminating " character
/usr/include/qt4/Qt3Support/Q3Header:3: error: missing terminating " character
In file included from /home/groo/dev/k3b-2.0.0/src/misc/k3bimagewritingdialog.cpp:39:
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:176: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:198: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:207: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:220: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:221: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:229: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:235: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
In file included from /home/groo/dev/k3b-2.0.0/src/misc/k3bimagewritingdialog.cpp:39:
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:266: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:270: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:271: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
/home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:279: warning: ‘ListViewItem’ is deprecated (declared at /home/groo/dev/k3b-2.0.0/libk3b/tools/k3blistview.h:48)
In file included from /home/groo/dev/k3b-2.0.0/src/misc/k3bimagewritingdialog.cpp:60:
/usr/include/qt4/Qt3Support/Q3Header:2: error: expected constructor, destructor, or type conversion before numeric constant
make[3]: *** [src/CMakeFiles/k3b_bin.dir/option/k3boptiondialog.o] Error 1
make[3]: *** [src/CMakeFiles/k3b_bin.dir/misc/k3bimagewritingdialog.o] Error 1
make[3]: Leaving directory `/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu'
make[2]: *** [src/CMakeFiles/k3b_bin.dir/all] Error 2
make[2]: Leaving directory `/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/groo/dev/k3b-2.0.0/obj-x86_64-linux-gnu'
dh_auto_build: make -j8 returned exit code 2

could you pls update your patch?

best regards
Comment 16 Paulo Dias 2010-07-15 23:29:00 UTC
just compiled from svn, crash is still there: bt follows:


k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Wave Decoder"
k3b(12438)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "k3bwavedecoder"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b MAD Decoder"
k3b(12438)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "k3bmaddecoder"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Ogg Vorbis Decoder"
k3b(12438)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "oggvorbisdecoder"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Audio Metainfo Renamer"
k3b(12438)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "k3baudiometainforenamerplugin"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Cddb Audio Plugin"
k3b(12438)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "k3baudioprojectcddbplugin"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b SoX Audio Encoder"
k3b(12438)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  1  offers for  "k3bsoxencoder"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b External Audio Encoder"
k3b(12438)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  1  offers for  "k3bexternalencoder"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Ogg Vorbis Encoder"
k3b(12438)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  1  offers for  "k3boggvorbisencoder"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Musepack Decoder"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Libsndfile Decoder"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b FLAC Decoder"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b Lame Mp3 Encoder"
k3b(12438) K3b::PluginOptionTab::PluginOptionTab: Adding plugin "K3b FFMpeg Decoder"

Program received signal SIGSEGV, Segmentation fault.
0x00007f351cda15a6 in KStyle::styleHint (this=0x1ddf1f0, hint=QStyle::SH_Widget_ShareActivation, option=0x0, widget=0x26882b0, returnData=0x0) at ../../kdeui/kernel/kstyle.cpp:2450
2450    ../../kdeui/kernel/kstyle.cpp: No such file or directory.
        in ../../kdeui/kernel/kstyle.cpp
(gdb) 
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x00007f351cda15a6 in KStyle::styleHint (this=0x1ddf1f0, hint=QStyle::SH_Widget_ShareActivation, option=0x0, widget=0x26882b0, returnData=0x0) at ../../kdeui/kernel/kstyle.cpp:2450
2450    in ../../kdeui/kernel/kstyle.cpp
(gdb) bt
#0  0x00007f351cda15a6 in KStyle::styleHint (this=0x1ddf1f0, hint=QStyle::SH_Widget_ShareActivation, option=0x0, widget=0x26882b0, returnData=0x0) at ../../kdeui/kernel/kstyle.cpp:2450
#1  0x00007f35125c6ce5 in Oxygen::Style::styleHint (this=0x1ddf1f0, hint=QStyle::SH_Widget_ShareActivation, option=0x0, widget=0x26882b0, returnData=0x0) at ../../../kstyles/oxygen/oxygenstyle.cpp:6618
#2  0x00007f351ad3fc42 in QWidget::isActiveWindow() const () from /usr/lib/libQtGui.so.4
#3  0x00007f351b000f25 in QStyleOption::init(QWidget const*) () from /usr/lib/libQtGui.so.4
#4  0x00007f351b23288e in QAbstractItemView::viewOptions() const () from /usr/lib/libQtGui.so.4
#5  0x00007f351b254ba2 in QListView::viewOptions() const () from /usr/lib/libQtGui.so.4
#6  0x00007f351cd6de0c in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:219
#7  0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#8  0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#9  0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#10 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#11 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#12 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#13 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#14 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#15 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#16 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#17 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#18 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#19 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#20 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#21 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#22 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#23 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#24 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#25 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#26 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#27 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#28 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#29 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#30 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#31 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#32 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#33 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#34 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#35 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#36 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#37 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#38 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#39 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#40 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#41 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#42 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#43 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#44 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
#45 0x00007f351cd6de53 in KCategorizedView::Private::blockPosition (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:223
#46 0x00007f351cd6df82 in KCategorizedView::visualRect (this=0x275f720, index=...) at ../../kdeui/itemviews/kcategorizedview.cpp:568
#47 0x00007f351cd6d9d2 in KCategorizedView::Private::blockHeight (this=0x2765a40, category=<value optimized out>) at ../../kdeui/itemviews/kcategorizedview.cpp:247
<ad infinitum>

this is from svn 1150383.

hope this helps
kde 4.5 rc2 and qt 4.7 beta2 + git 20100714

best regards
Comment 17 Myriam Schweingruber 2010-08-03 13:48:18 UTC
Confirmed, I get the same bt in gdb
Comment 18 Christoph Feck 2010-08-08 20:59:07 UTC
As far as I see, all reporters use Qt 4.7. Does the bug also happen with Qt 4.6?
Comment 19 Christoph Feck 2010-08-13 02:04:28 UTC
*** Bug 247585 has been marked as a duplicate of this bug. ***
Comment 20 Sergei Kasaurov 2010-08-14 12:58:06 UTC
I confirm this bug on my Kubuntu 10.04.
Qt: 4.7.0
KDE: 4.5.00 (KDE 4.5.0)
K3b 2.0.0
Comment 21 Texstar 2010-08-16 01:33:54 UTC
I confirm this bug on PCLinuxOS 2010.07
Qt: 4.7.0
KDE: 4.5.00 (KDE 4.5.0)
K3b 2.0.0 and 2.0.80 svn
Comment 22 Christoph Feck 2010-08-18 03:09:07 UTC
*** Bug 248164 has been marked as a duplicate of this bug. ***
Comment 23 Daniel Eklöf 2010-08-18 07:58:10 UTC
(In reply to comment #12)
> Created an attachment (id=48702) [details]
> proposed patch

Tried it and it works; it doesn't crash anymore.
Comment 24 Texstar 2010-08-18 13:14:21 UTC
(In reply to comment #23)
> (In reply to comment #12)
> > Created an attachment (id=48702) [details] [details]
> > proposed patch
> 
> Tried it and it works; it doesn't crash anymore.

I can confirm the patch works for me and K3b does not crash anymore.

KDE 4.5.0
QT 4.7.0
PCLinuxOS 2010.07
Comment 25 Kevin Kofler 2010-08-19 11:37:50 UTC
This may be related to bug 213068, which was also "fixed" by an ugly workaround.
Comment 26 Keith Lee 2010-08-24 00:39:33 UTC
Sorry guys, but it still crashes for me even after I removed my k3b configuration files.
Here is my output --

[klee@localhost ~]$ k3b
k3b(7626)/kdeui (kdelibs): Attempt to use QAction "view_projects" with KXMLGUIFactory! 
k3b(7626)/kdeui (kdelibs): Attempt to use QAction "view_dir_tree" with KXMLGUIFactory! 
k3b(7626)/kdeui (kdelibs): Attempt to use QAction "view_contents" with KXMLGUIFactory! 
k3b(7626)/kdeui (kdelibs): Attempt to use QAction "location_bar" with KXMLGUIFactory! 
QMetaObject::invokeMethod: No such method K3b::Application::loadCommandLineOptionsForNewInstance()
[klee@localhost ~]$ QPainter::end: Painter ended with 2 saved states
QPainter::end: Painter ended with 2 saved states
k3b(7626)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfeb7640
k3b(7626)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "k3bmpcdecoder"
k3b(7626)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfeb7640
k3b(7626)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "k3bffmpegdecoder"
k3b(7626)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfeb7640
k3b(7626)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "k3blibsndfiledecoder"
k3b(7626)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfeb7640
k3b(7626)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "k3bflacdecoder"
k3b(7626)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfeb7640
k3b(7626)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "k3bmaddecoder"
k3b(7626)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfeb7640
k3b(7626)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "k3bwavedecoder"
k3b(7626)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfeb7640
k3b(7626)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  1  offers for  "k3bsoxencoder"
k3b(7626)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfeb7640
k3b(7626)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  1  offers for  "k3bexternalencoder"
k3b(7626)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfeb7640
k3b(7626)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfeb7640
Comment 27 Keith Lee 2010-08-24 00:44:35 UTC
All:
 Sorry, but that is kde 4.5 with k3b 2.0 and not k3b 2.0.1.  That version isn't officially out yet. Only the development version which doesn't work as well.  

Keith
Comment 28 Christoph Feck 2010-08-25 12:18:46 UTC
*** Bug 248902 has been marked as a duplicate of this bug. ***
Comment 29 Christoph Feck 2010-08-28 04:33:11 UTC
Created attachment 51042 [details]
proposed patch

Updated patch that implements the idea from comment #13.

Qt 4.7.0 RC got released, and more people will use Qt 4.7.0. I suggest to apply the patch until someone (Raphael?) has time to look into the issue.
Comment 30 9bv1tu2a 2010-09-05 04:50:11 UTC
I have some issues with k3b (250181) so I tried to configure - Guess what?

Click Settings>Configure K3b... - Instantaneous crash
No crash report window
Tried it a few times - same result
Linux Mint KDE 9
K3b 1.91
QT 4.7.0

Purged K3b - reinstalled - same results
Comment 31 Tom Chiverton 2010-09-05 13:25:15 UTC
It's still bust in Kubuntu's 4.5.1 release too :-/
Comment 32 Mark Fraser 2010-09-05 14:06:29 UTC
(In reply to comment #31)
> It's still bust in Kubuntu's 4.5.1 release too :-/

I did an update this morning with the Kubuntu backports ppa enabled and I can now open the settings window.

Now I just have to figure out why it can't find normalize-audio.
Comment 33 Tom Chiverton 2010-09-05 14:16:54 UTC
Aye; there was a 2nd tranche of updates just now, and it's fixed for me.
Comment 34 9bv1tu2a 2010-09-05 15:38:11 UTC
Me three . . .

A bunch of updates came through Linux Mint KDE 9 (Ubuntu) this morning and my K3b 1.9.1 is now K3b 2.0.1.
Comment 35 Christoph Feck 2010-09-07 12:55:20 UTC
*** Bug 250430 has been marked as a duplicate of this bug. ***
Comment 36 Christoph Feck 2010-10-05 14:48:41 UTC
I can confirm that Alex' fix for bug 226631 also fixes k3b, so when you update to KDE 4.5.2 you no longer need the k3b patch.

*** This bug has been marked as a duplicate of bug 226631 ***
Comment 37 Tom Chiverton 2010-10-05 19:54:28 UTC
Fixed for me too, Kubutnu 10.4LTS with their backports PPA.
Comment 38 Christoph Feck 2010-10-08 13:07:49 UTC
*** Bug 253567 has been marked as a duplicate of this bug. ***
Comment 39 Michał Małek 2010-10-10 20:29:44 UTC
SVN commit 1184535 by mmalek:

Add plugins all at once per category to the list view. Patch by Christoph Feck. Thanks!
CCMAIL: christoph@maxiom.de
CCBUG: 238819


 M  +18 -4     k3bpluginoptiontab.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1184535
Comment 40 Michał Małek 2010-10-15 22:10:51 UTC
SVN commit 1186323 by mmalek:

Add plugins all at once per category to the list view. Patch by Christoph Feck. Thanks!
CCMAIL: christoph@maxiom.de
CCBUG: 238819

 M  +20 -4     k3bpluginoptiontab.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1186323
Comment 41 Ralph Moenchmeyer 2010-10-16 14:54:34 UTC
https://bugs.kde.org/show_bug.cgi?id=232691(In reply to comment #36)
> I can confirm that Alex' fix for bug 226631 also fixes k3b, so when you update
> to KDE 4.5.2 you no longer need the k3b patch.
> 
> *** This bug has been marked as a duplicate of bug 226631 ***


Two remarks: 

a)
I have Opensuse 11.3 (x86_64) running with KDE 4.5.2. However, the problem with K3b still exists. Clicking on settings in K3b leads to a crash of K3b.

OS: Opensuse 11.3 x86_64
KDE: 4.5.2 (RPMs from Opensuse KDE Factory repository)
K3b: 2.0.1 (RPM from Packman 2.0.1-1pm.2.5, however the Problem also occurs for other subversions of 2.0.1) 
Qt: 4.7.0

b) 
To me it seems that bug 232691 is a duplicate of this bug.
Comment 42 Christoph Feck 2010-10-16 15:05:00 UTC
This isn't a duplicate. Bug 232691 is a problem with policykit, while this one is about the infinite recursion.

Do you get DrKonqi when it crashes?
Comment 43 Ralph Moenchmeyer 2010-10-16 15:41:25 UTC
(In reply to comment #42)
> This isn't a duplicate. Bug 232691 is a problem with policykit, while this one
> is about the infinite recursion.
> 
> Do you get DrKonqi when it crashes?

No, I just klick "settings >> configure k3b" and the k3b window disappears together with a disappearance of the k3b process from the process list.   

Messages at the terminal: 

k3b(15662)/kdeui (kdelibs): Attempt to use QAction "view_projects" with KXMLGUIFactory! 
k3b(15662)/kdeui (kdelibs): Attempt to use QAction "view_dir_tree" with KXMLGUIFactory! 
k3b(15662)/kdeui (kdelibs): Attempt to use QAction "view_contents" with KXMLGUIFactory! 
k3b(15662)/kdeui (kdelibs): Attempt to use QAction "location_bar" with KXMLGUIFactory! 
QMetaObject::invokeMethod: No such method K3b::Application::loadCommandLineOptionsForNewInstance()
Comment 44 Unknown 2010-10-16 16:00:03 UTC
In Bug 253567 there is the full backtrace, but that's generated by gdb not by DrKonqui.

Also in that bug it was mentioned why this bug can occur in KDE 4.5.2 on openSUSE (version mismatch).
Comment 45 Christoph Feck 2010-10-16 16:11:02 UTC
In other words, you have confirmed that openSUSE ships a pre-tag 4.5.2? I got no answer for my comment at bug 253567.
Comment 46 Ralph Moenchmeyer 2010-10-16 16:22:43 UTC
gdb - output for my Opensuse 11.3, KDE 4.5.2 constellation 
(
additional rpm information - if that helps : 
> rpm -q kdelibs4
> kdelibs4-4.5.2-310.1.x86_64 
)

gdb output: 
***********  


(gdb) continue
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x00007fccffd0c46f in KCategorizedView::Private::categoryForIndex(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
(gdb) bt
#0  0x00007fccffd0c46f in KCategorizedView::Private::categoryForIndex(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#1  0x00007fccffde53d3 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#2  0x00007fccffd0c9aa in KCategorizedView::Private::topToBottomVisualRect(QModelIndex const&, KCategorizedView::Private::Item&, KCategorizedView::Private::Block const&, QPoint const&) const () from /usr/lib64/libkdeui.so.5
#3  0x00007fccffde59c3 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#4  0x00007fccffd0c9aa in KCategorizedView::Private::topToBottomVisualRect(QModelIndex const&, KCategorizedView::Private::Item&, KCategorizedView::Private::Block const&, QPoint const&) const () from /usr/lib64/libkdeui.so.5
#5  0x00007fccffde59c3 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#6  0x00007fccffde17da in KCategorizedView::Private::blockHeight(QString const&) () from /usr/lib64/libkdeui.so.5
#7  0x00007fccffde1c7a in KCategorizedView::Private::blockPosition(QString const&) () from /usr/lib64/libkdeui.so.5
#8  0x00007fccffde5578 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#9  0x00007fccffd0c9aa in KCategorizedView::Private::topToBottomVisualRect(QModelIndex const&, KCategorizedView::Private::Item&, KCategorizedView::Private::Block const&, QPoint const&) const () from /usr/lib64/libkdeui.so.5
#10 0x00007fccffde59c3 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#11 0x00007fccffd0c9aa in KCategorizedView::Private::topToBottomVisualRect(QModelIndex const&, KCategorizedView::Private::Item&, KCategorizedView::Private::Block const&, QPoint const&) const () from /usr/lib64/libkdeui.so.5
#12 0x00007fccffde59c3 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#13 0x00007fccffde17da in KCategorizedView::Private::blockHeight(QString const&) () from /usr/lib64/libkdeui.so.5
#14 0x00007fccffde1c7a in KCategorizedView::Private::blockPosition(QString const&) () from /usr/lib64/libkdeui.so.5
#15 0x00007fccffde5578 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#16 0x00007fccffd0c9aa in KCategorizedView::Private::topToBottomVisualRect(QModelIndex const&, KCategorizedView::Private::Item&, KCategorizedView::Private::Block const&, QPoint const&) const () from /usr/lib64/libkdeui.so.5
#17 0x00007fccffde59c3 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#18 0x00007fccffd0c9aa in KCategorizedView::Private::topToBottomVisualRect(QModelIndex const&, KCategorizedView::Private::Item&, KCategorizedView::Private::Block const&, QPoint const&) const () from /usr/lib64/libkdeui.so.5
#19 0x00007fccffde59c3 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#20 0x00007fccffde17da in KCategorizedView::Private::blockHeight(QString const&) () from /usr/lib64/libkdeui.so.5
#21 0x00007fccffde1c7a in KCategorizedView::Private::blockPosition(QString const&) () from /usr/lib64/libkdeui.so.5
#22 0x00007fccffde5578 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
#23 0x00007fccffd0c9aa in KCategorizedView::Private::topToBottomVisualRect(QModelIndex const&, KCategorizedView::Private::Item&, KCategorizedView::Private::Block const&, QPoint const&) const () from /usr/lib64/libkdeui.so.5
#24 0x00007fccffde59c3 in KCategorizedView::visualRect(QModelIndex const&) const () from /usr/lib64/libkdeui.so.5
Comment 47 Unknown 2010-10-16 16:36:49 UTC
No, I haven't asked that yet. But I'm unsure where can I do. openSUSE shipped more updates after releasing the first 4.5.2 packages, but I don't know whether they are just repacking or containing some fixes.

Could you provide an e-mail address, I will write them, but I don't know where to start.
Comment 48 Terry 2010-11-14 06:05:12 UTC
I have installed a new version of the operating system (PCLinuxOS-kde.10.2010) and this bug is no longer present.  K3b version is 2.0.1, KDE 4.5.3
Comment 49 Ralph Moenchmeyer 2010-12-03 14:54:47 UTC
Tested again for Opensuse 11.3 (x86_64), KDE 4.6 beta (from Opensuse's Factory Repository), Qt 4.7.1. 

With the latest RPM 2.0.1-44.1 for K3b in the Factory Repo K3b obviously is working again under Opensuse 11.3 - at least under KDE 4.6 beta. 

No crash any or disappearance of K3b any more when opening the settings dialog.
Comment 50 Dmitry Mic 2011-01-08 13:48:52 UTC
(In reply to comment #12)
> Created an attachment (id=48702) [details]
> proposed patch
> 
> This works around the kdelibs endless loop bug visible in k3b by adding all
> plugins per category in one addPlugins call. Please review and apply.

I applied this patch on k3b-2.0.1_4
KDE 4.5.4
qt4 4.7.1
FreeBSD 8.2-PRERELEASE
and k3b settings really work now

Thanks for the patch